Project

dry-types

2.81
No release in over a year
Type system for Ruby supporting coercions, constraints and complex types like structs, value objects, enums etc
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies

Development

>= 0
>= 0
>= 0

Runtime

~> 0.5, >= 0.5
~> 0.1, >= 0.1.2
~> 1.0, >= 1.0.2
 Project Readme

dry-types Join the chat at https://dry-rb.zulipchat.com

Gem Version CI Status Codacy Badge Codacy Badge Inline docs

Links

Supported Ruby versions

This library officially supports the following Ruby versions:

  • MRI >= 2.7.0
  • jruby >= 9.3 (postponed until 2.7 is supported)

License

See LICENSE file.